-- Copyright (c) 2011-2012 Cloudera, Inc. All rights reserved.
--
-- Version 4 of the CMON schema. 
--

UPDATE CMON_SCHEMA_VERSION SET VERSION=4;

alter table CMON_ACTIVITY
  add column PARENT_ID bigint DEFAULT NULL;

create index IDX_ACTIVITY_PARENT on CMON_ACTIVITY (PARENT_ID);

alter table ONLY CMON_ACTIVITY
  ADD CONSTRAINT fk_cmon_activity_parent FOREIGN KEY (PARENT_ID) references CMON_ACTIVITY(ID)
  ON DELETE CASCADE;
