// (c) Copyright 2012 Cloudera, Inc. All rights reserved.
define(function () {
	var result = {
		settings: {
			timeScale: {
				intervalFormats: {
					years: "%yyyy",
					months: "%MMM, %yyyy",
					days: "%d. %MMM",
					hours: "%d. %MMM %HH",
					minutes: "%d. %MMM %HH:%mm",
					seconds: "%d. %MMM %HH:%mm",
					milliseconds: "%d. %MMM %HH:%mm:%ss"
				}
			},
			displayLocale: {
				defaultNumberFormat: {
					format: "numDecimals:2,thousandsSeparator:.,decimalSeparator:\\,"
				},
				defaultDateTimeFormat: {
					format: "%dddd, %d. %MMMM %yyyy %HH:%mm:%ss"
				},
				dateTime: {
					time: {
						shortPmString: "",
						amString: "",
						shortAmString: "",
						pmString: ""
					},
					weekRule: "FirstFourDayWeek",
					months: {
						genitiveShortNames: "Jan,Feb,Mrz,Apr,Mai,Jun,Jul,Aug,Sep,Okt,Nov,Dez",
						genitiveNames: "Januar,Februar,März,April,Mai,Juni,Juli,August,September,Oktober,November,Dezember",
						names: "Januar,Februar,März,April,Mai,Juni,Juli,August,September,Oktober,November,Dezember",
						shortNames: "Jan,Feb,Mrz,Apr,Mai,Jun,Jul,Aug,Sep,Okt,Nov,Dez"
					},
					weekDays: {
						shortestNames: "So,Mo,Di,Mi,Do,Fr,Sa",
						names: "Sonntag,Montag,Dienstag,Mittwoch,Donnerstag,Freitag,Samstag",
						shortNames: "So,Mo,Di,Mi,Do,Fr,Sa"
					},
					firstDayOfWeek: "Monday"
				}
			}
		}
	};

	result.settings.timeScale.majorIntervalFormats = result.settings.timeScale.intervalFormats;
	result.settings.timeScale.minorIntervalFormats = result.settings.timeScale.intervalFormats;
	result.settings.timeScale.minorIntervalFormats.milliseconds = "";
	return result;
});
